Skip to main content
GET
/
api
/
svc
/
v1
/
model-catalogues
/
nim-deployment-specs
Get Nvidia NIM Model Deployment Specifications
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/model-catalogues/nim-deployment-specs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "vLLM",
      "displayName": "<string>",
      "description": "<string>",
      "openAPIDescription": "<string>",
      "deployments": [
        {
          "name": "<string>",
          "spec": {},
          "isAvailableInWorkspace": true,
          "cost": {},
          "isTRTLLMEngineAvailable": true
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string
required

Workspace Id

nimModelId
string
required

Nvidia NIM container id Format: <org>/<team>/<model>, e.g. nim/meta/llama3-8b-instruct

nvcrDockerRegistryProviderIntegrationFqn
string
required

FQN of the Custom Registry Provider Integration pointing to nvcr.io

ngcApiKeySecretFqn
string
required

FQN of the Secret containing the NGC API key

Response

Returns deployment specifications for the NIM Model

data
ModelServerOption · object[]
required

Array of ModelDeploymentSpec